petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPPIPEFCGGetNprealloc

get the number of directions to preallocate by PIPEFCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGGetNprealloc(KSP ksp,PetscInt *nprealloc)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

nprealloc -the number of directions preallocated

### Options Database

-ksp_pipefcg_nprealloc <N> -

### See Also

KSPPIPEFCG, KSPPIPEFCGGetTruncationType(), KSPPIPEFCGSetNprealloc()

### Level

advanced

### Location

src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages